package cn.com.countrygarden.bi.main.dto.advise.param;

/**
 * @author 木木子
 * @Description: java类作用描述
 * @email 944528607@qq.com
 * @date 2019/5/20 16:12
 */
public class AdviseResponsiblerParam {
    /**
     * 页大小
     */
    private  Integer size;
    /**
     * 当前页
     */
    private  Integer page;
    /**
     * 负责人类型（0超级管理员1.总部管理员，2类型负责人,3.区域负责人）
     */
    private  Integer type;
    /**
     * 建言类型关联
     */
    private  String branchTypeCode;

    /**
     * 分支类型
     */
    private  Integer adviseTypeId;

    public String getBranchTypeCode() {
        return branchTypeCode;
    }

    public void setBranchTypeCode(String branchTypeCode) {
        this.branchTypeCode = branchTypeCode;
    }

    public Integer getSize() {
        if(size==null||size<1){
            size=10;
        }
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getPage() {
        if(page==null||page<1){
            page=1;
        }
        return page;
    }

    public void setPage(Integer page) {

        this.page = page;
    }

    public Integer getType() {

        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getAdviseTypeId() {
        return adviseTypeId;
    }

    public void setAdviseTypeId(Integer adviseTypeId) {
        this.adviseTypeId = adviseTypeId;
    }
}
